import { IWorker } from "./interfaces/IWorker";
import {httpGet} from "@ulixee/default-browser-emulator/lib/helpers/lookupPublicIp"
export function arrayWithoutElementAtIndex(
    arr: IWorker[] | [],
    index: number
) {
    return arr.filter(function (value, arrIndex) {
        return index !== arrIndex;
    });
}


export async function getIP(httpPort: number) {
    try{
        return await httpGet('http://icanhazip.com',{
            localPort:50
        })
    } finally {
        return undefined
    }
    
}